org.mariadb.jdbc.internal.packet.send

## Class SendExecutePrepareStatementPacket

- java.lang.Object
- - org.mariadb.jdbc.internal.packet.send.SendExecutePrepareStatementPacket

All Implemented Interfaces:
  InterfaceSendPacket

    public class SendExecutePrepareStatementPacket
    extends Object
    implements InterfaceSendPacket

### Constructor Summary

Constructors
Constructor and Description
`SendExecutePrepareStatementPacket(int statementId, ParameterHolder[] parameters, int parameterCount, MariaDbType[] parameterTypeHeader)` Initialize parameters.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `send(OutputStream os)` Send a prepare statement binary stream.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SendExecutePrepareStatementPacket

    public SendExecutePrepareStatementPacket(int statementId,
                                             ParameterHolder[] parameters,
                                             int parameterCount,
                                             MariaDbType[] parameterTypeHeader)

Initialize parameters.

Parameters:
  `statementId` - prepareResult object received after preparation.
  `parameters` - parameters
  `parameterCount` - parameters number
  `parameterTypeHeader` - parameters header

### Method Detail

#### send

    public int send(OutputStream os)
             throws IOException

Send a prepare statement binary stream.

Specified by:
  `send` in interface `InterfaceSendPacket`
Parameters:
  `os` - database socket
Returns:
  0 if all when well
Throws:
  `IOException` - if a connection error occur